Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://apigw.ipxo.com/billing/v1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "string",
"email": "string",
"business_since": "string",
"company_size": "string",
"address1": "string",
"address2": "string",
"city": "string",
"country": "string",
"postcode": "string",
"state": "string",
"abuse_email": "string",
"vat_number": "string",
"industry_uuid": "string",
"reuse_address": true,
"options": {
"website": "string",
"social_network": [
"string"
],
"has_social_network": true,
"found_us": "string",
"primary_intention": "string",
"proprata": true,
"prorata_day": 0
}
}
'import requests
url = "https://apigw.ipxo.com/billing/v1"
payload = {
"title": "string",
"email": "string",
"business_since": "string",
"company_size": "string",
"address1": "string",
"address2": "string",
"city": "string",
"country": "string",
"postcode": "string",
"state": "string",
"abuse_email": "string",
"vat_number": "string",
"industry_uuid": "string",
"reuse_address": True,
"options": {
"website": "string",
"social_network": ["string"],
"has_social_network": True,
"found_us": "string",
"primary_intention": "string",
"proprata": True,
"prorata_day": 0
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'string',
email: 'string',
business_since: 'string',
company_size: 'string',
address1: 'string',
address2: 'string',
city: 'string',
country: 'string',
postcode: 'string',
state: 'string',
abuse_email: 'string',
vat_number: 'string',
industry_uuid: 'string',
reuse_address: true,
options: {
website: 'string',
social_network: ['string'],
has_social_network: true,
found_us: 'string',
primary_intention: 'string',
proprata: true,
prorata_day: 0
}
})
};
fetch('https://apigw.ipxo.com/billing/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "string",
"email": "string",
"business_since": "string",
"company_size": "string",
"title": "string",
"status": "string",
"code": "string",
"options": [
{
"key": "string",
"value": {}
}
],
"meta": [
{
"key": "string",
"value": "string"
}
],
"credit": {
"amount": 0,
"auto_payment": true
},
"summary": "string",
"logo": {
"image": "string"
},
"payment_gateways": [
"string"
],
"flags": [
{
"uuid": "string",
"slug": "string"
}
],
"status_reason": {
"uuid": "string",
"slug": "string",
"title": "string"
},
"vat_number": "string",
"vat_validated_at": "string",
"vat_validation_status": "valid"
}Create Tenant
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
Successful operation
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
valid, invalid, failed